#ifndef __NameCache_h
#define __NameCache_h
//=============================================================================
//
//		Copyright (C) 1995-1997 by Paul S. McCarthy and Eric Sunshine.
//				Written by Paul S. McCarthy and Eric Sunshine.
//							All Rights Reserved.
//
//		This notice may not be removed from this source code.
//
//		This object is included in the MiscKit by permission from the authors
//		and its use is governed by the MiscKit license, found in the file
//		"License.rtf" in the MiscKit distribution.	Please refer to that file
//		for a list of all applicable permissions and restrictions.
//
//=============================================================================
//-----------------------------------------------------------------------------
// NameCache.h
//
//		Data structure and routines for caching user names and group names.
//
//-----------------------------------------------------------------------------
//-----------------------------------------------------------------------------
// $Id: NameCache.h,v 1.2 97/02/05 08:12:22 sunshine Exp $
// $Log:		NameCache.h,v $
// Revision 1.2	 97/02/05  08:12:22	 sunshine
// v29: Removed deviant semi-colon.
// 
// Revision 1.1	 97/01/12  15:19:47	 sunshine
// v28: Name cache.
//-----------------------------------------------------------------------------
#import <objc/Object.h>
@class HashTable;

@interface NameCache : Object
	{
	HashTable* table;
	}

- (char const*)lookup:(int)ident;

@end

@interface OwnerCache : NameCache		// user name (owner) cache.
+ (id)commonInstance;
@end

@interface GroupCache : NameCache		// group name cache.
+ (id)commonInstance;
@end

#endif // __NameCache_h
